<!DOCTYPE html>
<html xmlns:f="http://xmlns.jcp.org/jsf/core" 
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://xmlns.jcp.org/jsf/passthrough"
      xmlns:pf="http://primefaces.org/ui">
    <h:head>
        <title>Ajouter un utilisateur</title>
    </h:head>
    
    <f:metadata>
    	<f:viewAction action="#{userBean.initList()}"/>
    </f:metadata>
    <h:body>
        <f:view>
        <h3>Ajouter utilisateur</h3>
            <h:form id="addUser">
            <h:panelGrid columns="3" cellpadding="5">
                <pf:outputLabel value="Nom" for="nom" />
                <pf:inputText id="nom" value="#{userBean.nom}" 
                						required="true" p:required="true"
                						requiredMessage="Nom obligatoire"
                						validatorMessage="Veuillez respecter les charactère">
                	<f:validateRegex pattern="^[\p{L}-]+$"/>
                </pf:inputText>
                <pf:message for="nom" styleClass="errorBlock"/>

               
                
                <pf:outputLabel value="Prénom :" for="prenom" />
                <pf:inputText id="prenom" value="#{userBean.prenom}" 
                						required="true" p:required="true"
                						requiredMessage="Prenom obligatoire"
                						validatorMessage="Veuillez respecter les charactère">
                	<f:validateRegex pattern="^[\p{L}-]+$"/>
                </pf:inputText>
                <pf:message for="prenom" styleClass="errorBlock"/>

                <pf:outputLabel value="Login :" for="login" />
                <pf:inputText id="login" value="#{userBean.login}" 
                						required="true" p:required="true"
                						requiredMessage="Login obligatoire"
                						validatorMessage="Veuillez respecter les charactère">
                	<f:validateRegex pattern="^[\p{L}-]+$"/>
                </pf:inputText>
                <pf:message for="login" styleClass="errorBlock"/>

                
                
                <pf:outputLabel value="Email :" for="email" /> 
                <pf:inputText id="email" value="#{userBean.email}" 
                						required="true" p:required="true"
                						requiredMessage="Email obligatoire"
                						validatorMessage="Le login doit correspondre à un email">
                	<f:validateRegex pattern="^[\w.+-]+@[\w.+-]+\.[a-z]{2,}$"/>
                </pf:inputText>
                <pf:message for="email" styleClass="errorBlock"/>

              
                
                <pf:outputLabel value="Password :" for="password" />
                <h:inputSecret id="password" value="#{userBean.password}" 
                						required="true" p:required="true"
                						requiredMessage="Mot de passe obligatoire"
                						validatorMessage="Votre mot de passe doit contenir entre 3 à 12 caractères">
                	<f:validateLength minimum="2" maximum="12" />
                </h:inputSecret>
                <pf:message for="password" styleClass="errorBlock"/>

             
                <pf:commandButton action="#{userBean.addUser}" value="Connect" /> 
                </h:panelGrid>
            </h:form>
            
            <h1>Liste des utilisateurs</h1>
            
            <h:dataTable value="#{userBean.lst}" cellpadding="5" var="user">
            	<pf:column>
            		<f:facet name="header">ID</f:facet>
            		<h:outputText id="idUser" value="#{user.idUser}" />
            	</pf:column>
            	
            	<pf:column>
            		<f:facet name="header">Nom</f:facet>
            		<h:outputText id="nom" value="#{user.nom}" />
            	</pf:column>
            	
            	<pf:column>
            		<f:facet name="header">Prénom</f:facet>
            		<h:outputText id="prenom" value="#{user.prenom}" />
            	</pf:column>
            
            	<pf:column>
            		<f:facet name="header">Login</f:facet>
            		<h:outputText id="login" value="#{user.login}" />
            	</pf:column>
            	
            	<pf:column>
            		<f:facet name="header">Mot de passe </f:facet>
            		<h:outputText id="password" value="#{user.password}" />
            	</pf:column>
            	
            	<pf:column>
            		<f:facet name="header">Email</f:facet>
            		<h:outputText id="email" value="#{user.email}" />
            	</pf:column>
            	
            	
            	<pf:column>
            		<f:facet name="header">Profil</f:facet>
            		<h:outputText id="profil" value="#{user.profil}" />
            	</pf:column>
            	
            	<pf:column headerText="Actions" style="text-align: center">
            		<pf:button value="modifier" outcome="updateUser">
            		<f:param name="idUser" value="#{user.idUser}" />
            		</pf:button>
            	</pf:column>
            	<pf:column headerText="Actions" style="text-align: center">
            		<pf:button value="supprimer" outcome="deleteUser">
            		<f:param name="idUser" value="#{user.idUser}" />
            		</pf:button>
            	</pf:column>
            	
            </h:dataTable>
            
            
            
        </f:view>

    </h:body>
</html>
